-module(files2).
-export([fact/1,factorial/1,caller/1]).
-import(filest,[fx/1]).

fact(0) -> 1;
fact(N) ->
  N * fact(N - 1).

factorial(N) -> fac(N, 1).

fac(0, X) -> X;
fac(N, X) -> fac(N-1, N * X).

caller(X)->
  fx(factorial(X)).

